GuidesAPI Reference
API Reference

Gets catalog versions

Returns information about specific catalog version(s). If the catalog doesn't contain any versions 404 will be returned. Maximum number of versions to be returned per call is 1000 versions. If requested range is bigger than 1000 versions 400 Bad Request will be returned. Expected either pair 'startVersion' and 'endVersion', or 'version' query parameter, otherwise 400 Bad Request will be returned.

Query Params
int64

The beginning of the range of versions to get (exclusive). By convention -1 indicates the initial version before the first publication. After the first publication, the catalog version is 0.

int64

The end of the range of versions to get (inclusive). This must be a valid catalog version greater than the startVersion. The maximum value for this parameter is returned from the /versions/latest endpoint. If this version does not exist, 400 Bad Request is returned

version
array of int64s
length ≥ 1

The array of catalogs versions to fetch. If provided version if out of range of the catalog existing versions, 400 Bad Request is returned.

version
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

string
enum
Defaults to default

The context where the operation will be performed on a composite layers. Only available for versioned layers.

Available context are:

ContextDescription
defaultThe default value if none is given. For composite layers the operation is executed for both layers current and the layer it extends. For normal layers this is the only valid context.
extensionThe operation will be executed only in the extension and no operation will be performed in the extended layer.
superThe operation will be executed only in the layer being extended (super layer).
Allowed:
Responses

400

Bad Request - indicates that request failed fast validation e.g. syntax, some logical errors or required parameters are missing

401

Unauthorized

403

Forbidden

404

Catalog does not exist or the catalog doesn't contain any versions

500

Internal Server Error

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*